Bug 137575 - Rogue process apparently ignores SIGKILL
Rogue process apparently ignores SIGKILL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-29 11:53 EDT by Tethys
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:56:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2004-10-29 11:53:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
I have a rogue java process consuming all of my CPU time. Normally,
I'd just kill it. But that doesn't work. Even SIGKILL, which in
theory should not be ignorable. That implies that the signal isn't
being delivered. But the only time I've ever seen that before is
when the process is in D (uninterruptable sleep) state, which isn't
the case here. The signal appears to be being sent properly:

ps -p 2065 -o user,pid,s,pcpu,pmem,wchan,vsz,args
USER       PID S %CPU %MEM WCHAN    VSZ COMMAND
siteint   2065 R 99.9  0.1 -      1197160
/accucard/vbis/j2sdk/bin/java -server -Xms64m -Xmx1024m
-Dvbis.root=/accucard/vbis
root@asvbis01:~# strace -e kill kill -9 2065
kill(2065, SIGKILL)                     = 0
root@asvbis01:~# ps -p 2065 -o user,pid,s,pcpu,pmem,wchan,vsz,args
USER       PID S %CPU %MEM WCHAN    VSZ COMMAND
siteint   2065 R 99.9  0.1 -      1197160
/accucard/vbis/j2sdk/bin/java -server -Xms64m -Xmx1024m
-Dvbis.root=/accucard/vbis

According to strace it's not making any system calls. ltrace doesn't
show evidence of any library calls either.


Version-Release number of selected component (if applicable):
2.6.5-1.358smp

How reproducible:
Always

Steps to Reproduce:
1. Run our java app, and wait for it to use all the CPU
2. Try to kill it
3.
    

Additional info:

High severity because it's making the box unusable.
Comment 1 Dave Jones 2005-04-16 01:56:31 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.